
D4Science Infrastructure - Task #12578

Support # 12249 (Closed): Need installed KNIME 3.6 and R 3.4 including the listed plugins

Need installed FSKlab plugin for KNIME and the provided Testworkflow in Dataminer tested

Oct 01, 2018 05:48 PM - Lars Valentin

Status: Closed Start date: Oct 01, 2018

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: System Configuration   

Infrastructure: Development, Pre-Production,

Production

  

Description

Hello Andrea,

as requested before in the other ticket above, I would like to ask you to install our latest version of FSKlab plugin on the dataminer.

You can test if it works with my Dataminer FSKtestworkflow in https://aginfra.d4science.org/group/rakip_portal/data-miner

Please tell me the outcame of your tests.

The version currently installed is old and not properly installed (0.1.0.201808131056)

THX

Lars

History

#1 - Oct 01, 2018 05:50 PM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'Amico to _InfraScience Systems Engineer

#2 - Oct 01, 2018 05:51 PM - Andrea Dell'Amico

(I do not have access to that VRE, FYI).

#3 - Oct 01, 2018 07:29 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 50

The one I get installed is 1.2.1.201809271338. I'm adding a cron job that (re)installs the plugin daily. By tomorrow it will be installed on every

dataminer.

#4 - Oct 01, 2018 07:58 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

- Infrastructure Pre-Production, Production added

Scripts and cron job have been installed. I tested the procedure on the dev environment and the plugin installed successfully, the cron job will do the

same on the production servers.

#5 - Oct 02, 2018 11:03 AM - Lars Valentin

- File RLOG7637da67-4773-445d-a900-1fcbd2d618f6.txt added

Andrea Dell'Amico wrote:

Scripts and cron job have been installed. I tested the procedure on the dev environment and the plugin installed successfully, the cron job will do

the same on the production servers.

 I just checked my FSKX test workflow in the dataminer and I still receive the failing log with old nodes and issues. Could you please test my workflow
in the dataminer.

I attach the log file again. 

#6 - Oct 02, 2018 11:43 AM - Leonardo Candela

I assume the DM algorithm you are using for testing purposes is FSKX T E X T (available at)

https://aginfra.d4science.org/group/rakip_portal/data-miner?OperatorId=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.t

ransducerers.FSKX_T_E_S_T

I tried to execute it by myself and I confirm it fails ... from the log I see a number of issues including:

...

"org.osgi.framework.BundleException: Could not resolve module: com.knime.enterprise.client.openejb [33]"                                                           

[14] "  Unresolved requirement: Require-Bundle: com.knime.enterprise.server.rest.api; bundle-version=\"[4.7.0,5.0.0)\"" 

...

"org.osgi.framework.BundleException: Could not resolve module: de.bund.bfr.knime.fsklab.metadata.model [921]"                                                

[440] "  Bundle was not resolved because of a uses contraint violation."                                                                                                                     

[441] "  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource de.bund.bfr.knime.fsklab.metadata.model

[osgi.identity; type=\"osgi.bundle\"; version:Version=\"0.1.0.201808131056\"; osgi.identity=\"de.bund.bfr.knime.fsklab.metadata.model\";

singleton:=\"true\"] because it is exposed to package 'org.w3c.dom.events' from resources org.eclipse.osgi [osgi.identity; type=\"osgi.bundle\";

version:Version=\"3.12.100.v20180210-1608\"; osgi.identity=\"org.eclipse.osgi\"; singleton:=\"true\"] and org.w3c.dom.events [osgi.identity;

type=\"osgi.bundle\"; version:Version=\"3.0.0.draft20060413_v201105210656\"; osgi.identity=\"org.w3c.dom.events\"] via two dependency chains."

...

The workflow is invoked by DM as follows 

/usr/local/bin/knime -reset -consoleLog -nosplash -application org.knime.product.KNIME_BATCH_APPLICATION

-workflowFile=simple_FSK_testworkflow.knwf -destFile=workflow.zip -workflow.variable=dummy,"dummy",String

#7 - Oct 02, 2018 11:49 AM - Andrea Dell'Amico

- Status changed from Feedback to In Progress

- % Done changed from 100 to 80

The installation of the plugin failed because of a bug in my script that only shows up when run by cron. I'm fixing it now, I'm also adding the run of the

simple_FSK workflow to immediately check the installation.

#8 - Oct 02, 2018 11:55 AM - Lars Valentin

Thank you for testing. As stated above FSK seems to be still installed in Version=\"0.1.0.201808131056\" as you see in line 441. Could you please

install the latest version and test this workflow in the dataminer again to check if you were successful? 

As a reminder from previous advises, you need to uninstall the old plugins before installing the new version! If that procedure was messed up I had to

manually delete the old plugin version in the plugin folder.

I have no clue about the other issues.

#9 - Oct 02, 2018 12:08 PM - Andrea Dell'Amico

Lars Valentin wrote:

Thank you for testing. As stated above FSK seems to be still installed in Version=\"0.1.0.201808131056\" as you see in line 441. Could you

please install the latest version and test this workflow in the dataminer again to check if you were successful? 

As a reminder from previous advises, you need to uninstall the old plugins before installing the new version! If that procedure was messed up I

had to manually delete the old plugin version in the plugin folder.

 That's what the script is doing, the commands are the same ones used in the ansible role but limited to your plugin. The version that you'll find

installed is the one I wrote about yesterday in the parent ticket, if you didn't change it since yesterday evening.
#10 - Oct 02, 2018 12:13 PM - Lars Valentin

great, I am looking forward that this will lead to a finally working version. Please let me know if it runs in the dataminer with my testworkflow.

How about the other Plugins - is this now a version which only comes with the FSK-plugin to do a step by step solution?

#11 - Oct 02, 2018 01:45 PM - Andrea Dell'Amico

- File image.png added

Lars Valentin wrote:

great, I am looking forward that this will lead to a finally working version. Please let me know if it runs in the dataminer with my testworkflow.

 The new plugin has been installed everywhere. The script that will executed every night runs the following command to verify that the plugin has been

installed correctly:

/usr/local/bin/knime -nosplash -clean -application org.knime.product.KNIME_BATCH_APPLICATION -workflowDir="/op

t/knime/knime_workflows/simple_FSK_testworkflow"

 Its execution succeeded on all the dataminer. The contents of /opt/knime/knime_workflows/simple_FSK_testworkflow are (some directories are the

result of the executions):

# ls -la /opt/knime/knime_workflows/simple_FSK_testworkflow/

total 100

drwxr-xr-x 9 root root  4096 Oct  2 13:30 .

drwxr-xr-x 4 root root    48 Oct  1 19:52 ..

drwxr-xr-x 2 root root     6 Oct  2 13:30 .artifacts

drwxr-xr-x 2 root root    39 Oct  2 13:30 files

drwxr-xr-x 5 root root    66 Oct  2 13:30 FSK Runner (#2)

drwxr-xr-x 2 root root    30 Oct  2 13:30 FSKXReader01_workingDirectory16499

drwxr-xr-x 4 root root    53 Oct  2 13:30 FSKX Reader (#1)

drwxr-xr-x 3 root root    40 Oct  2 13:30 FSKX Writer (#3)

drwxr-xr-x 3 root root    40 Oct  2 13:30 Image Port Writer (#4)

-rw-r--r-- 1 root root 45445 Sep 14 10:03 knime.log

-rw-r--r-- 1 root root   289 Sep 14 10:03 .project

-rw-r--r-- 1 root root   204 Oct  2 13:30 .savedWithData

-rw-r--r-- 1 root root  5166 Oct  2 13:30 workflow.knime

-rw-r--r-- 1 root root 29947 Sep 14 10:03 workflow.svg

 The same workflow run from the dataminer fails, with the same error you reported before, but it seems to me that's something that should be

investigated by @g.panichi@isti.cnr.it or @gianpaolo.coro@isti.cnr.it, because the same workflow run from the command line works correctly. The

dataminer execution string is:

/usr/local/bin/knime -reset -consoleLog -nosplash -application org.knime.product.KNIME_BATCH_APPLICATION -work

flowFile=simple_FSK_testworkflow.knwf -destFile=workflow.zip -workflow.variable=dummy,"dummy",String

 The execution with the same variables from the command line completes correctly:

/usr/local/bin/knime -reset -consoleLog -nosplash -application org.knime.product.KNIME_BATCH_APPLICATION -work

flowDir="/opt/knime/knime_workflows/simple_FSK_testworkflow" -workflow.variable=dummy,"dummy",String

 The result log is the following, the result image is attached:

INFO     main BatchExecutor      ===== Executing workflow /opt/knime/knime_workflows/simple_FSK_testworkflow =

====

WARN     main BatchExecutor      The workflow variable is potentially unused (not defined in workflow): "dummy

" (STRING)

SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".

SLF4J: Defaulting to no-operation (NOP) logger implementation

SLF4J: See http://www.slf4j.org/codes.html#StaticLoggerBinder for further details.

INFO     main BatchExecutor      Workflow execution done Finished in 8 secs (8462ms)

INFO     main BatchExecutor      ============= Workflow executed sucessfully ===============

 How about the other Plugins - is this now a version which only comes with the FSK-plugin to do a step by step solution?

 No, there's only the version with all the plugins installed. I did not find any difference between your distribution and ours, after I've found the correct

ways to execute the workflows.

#12 - Oct 02, 2018 01:47 PM - Andrea Dell'Amico

- File workflow.zip added
I also run the same workflow adding the option -destFile=workflow.zip. The result is attached.

#13 - Oct 02, 2018 02:12 PM - Andrea Dell'Amico

I also run successfully:

/usr/local/bin/knime -reset -consoleLog -nosplash -application org.knime.product.KNIME_BATCH_APPLICATION -dest

File=workflow.zip -workflowFile=simple_FSK_testworkflow.knwf -workflow.variable=dummy,"dummy",String

 So perhaps the problem is that when running from the dataminer, the file simple_FSK_testworkflow.knwf is not in the directory from where the

workflow is run? The filename has no absolute path, so it must reside in the same directory from where the command is launched. I also tried to move

the workflow file in a different place and run the command using an absolute path: it works.

#14 - Oct 02, 2018 02:22 PM - Lars Valentin

Thanks for the effort! If I understand you right the dataminer does not yet behave as expected while KNIME in batch mode itself does work now.

Would be great if the experts you mentioned could solve that too.

Regarding the other KNIME plugins from the long list - in my version I did not include them in order to help to find the issue step by step. Thats why I

ask if your ANSIBLE routine also did install all the other plugins from our list now or if this is an open task after the issue is fixed and I need to open a

ticket for it.

#15 - Oct 02, 2018 05:48 PM - Andrea Dell'Amico

Lars Valentin wrote:

Thanks for the effort! If I understand you right the dataminer does not yet behave as expected while KNIME in batch mode itself does work now.

Would be great if the experts you mentioned could solve that too.

 It's a different problem: knime wants to write inside the knime distribution somehow, when using your plugin (other workflows work fine). So I had

success when testing as root, but the execution failed when run by the dataminer user. I fixed that changing the ownership of the knime distribution

directory, even if I don't like it.

Now, your workflow still fails, but because of a missing output file. The version executed by the dataminer does not generate the file image.png, while

the one you gave me does. So, now the dataminer execution error is:

Knime computation

/usr/local/bin/knime -reset -consoleLog -nosplash -application org.knime.product.KNIME_BATCH_APPLICATION -work

flowFile=simple_FSK_testworkflow.knwf -destFile=workflow.zip -workflow.variable=dummy,"dummy",Str

ing

computation finished

Logs of the computation

[1] "CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot"

[2] "INFO \t main BatchExecutor\t ===== Executing workflow simple_FSK_testworkflow.knwf ====="

[3] "WARN \t main BatchExecutor\t The workflow variable is potentially unused (not defined in workflow): \"dum

my\" (STRING)"

[4] "INFO \t main BatchExecutor\t Workflow execution done Finished in 8 secs (8218ms)"

[5] "INFO \t main BatchExecutor\t Saved workflow availabe at: /home/gcube/tomcat/webapps/wps/ecocfg/rscr_aa0ac

843-9b17-4958-8955-1e17c6129cfd/FSKX-Testworkflow/workflow.zip"

[6] "INFO \t main BatchExecutor\t ============= Workflow executed sucessfully ==============="

Output Parameter:workflow workflow.zip

Output Parameter:image image.png

file workflow exists? TRUE

file image exists? FALSE

FALSE Error, the output image(image.png) does not exist!

 Please fix the workflow, or the workflow parameters.

Regarding the other KNIME plugins from the long list - in my version I did not include them in order to help to find the issue step by step. Thats

why I ask if your ANSIBLE routine also did install all the other plugins from our list now or if this is an open task after the issue is fixed and I need

to open a ticket for it.

 All the plugins you asked have been installed. I'm listing them again:

   - org.knime.features.testingapplication.feature.group

    - org.knime.features.datageneration.feature.group  #KNIME Data Generation http://update.knime.com/analytic

s-platform/3.6 Lars      

    - org.knime.features.base.filehandling.feature.group  #KNIME File Handling Nodes http://update.knime.com/a

nalytics-platform/3.6 Lars      

    - org.knime.features.r.feature.group #KNIME Interactive R Statistics Integration http://update.knime.com/a

nalytics-platform/3.6 Lars      

    - org.knime.features.base.feature.group #KNIME Core http://update.knime.com/analytics-platform/3.6 Lars   
    - org.knime.features.ext.jfreechart.feature.group #KNIME JFreeChart http://update.knime.com/analytics-plat

form/3.6 Lars      

    - org.knime.features.ext.svg.feature.group #KNIME SVG Support http://update.knime.com/analytics-platform/3

.6 Matthias      

    - org.knime.features.ext.webservice.client.feature.group #KNIME Web Service Client http://update.knime.com

/analytics-platform/3.6 Matthias      

    - org.knime.features.virtual.feature.group #KNIME Virtual Nodes http://update.knime.com/analytics-platform

/3.6 Matthias      

    - org.knime.features.ext.textprocessing.feature.group #KNIME Textprocessing http://update.knime.com/analyt

ics-platform/3.6 Matthias      

    - org.knime.features.ext.textprocessing.language.german.feature.group #KNIME Textprocessing German Languag

e Pack http://update.knime.com/analytics-platform/3.6 Matthias

    - org.knime.features.ext.textprocessing.language.spanish.feature.group #KNIME Textprocessing Spanish Langu

age Pack http://update.knime.com/analytics-platform/3.6 Matthias

    - org.knime.features.ext.textprocessing.language.french.feature.group #KNIME Textprocessing French Languag

e Pack http://update.knime.com/analytics-platform/3.6 Matthias

    - org.knime.features.stats2.feature.group #KNIME Statistics Nodes (Labs) http://update.knime.com/analytics

-platform/3.6 Matthias      

    - org.knime.features.ext.socialmedia.feature.group #KNIME Social Media Connectors (Twitter && Google) http

://update.knime.com/analytics-platform/3.6 Matthias      

    - com.knime.features.reporting.designer.feature.group #KNIME Report Designer http://update.knime.com/analy

tics-platform/3.6 Matthias      

    - org.knime.features.webanalytics.feature.group #KNIME Webanalytics http://update.knime.com/analytics-plat

form/3.6 Matthias      

    - org.knime.features.python2.feature.group #KNIME Python Integration http://update.knime.com/analytics-pla

tform/3.6 Matthias      

    - org.knime.features.ext.perl.feature.group #KNIME Perl Integration http://update.knime.com/analytics-plat

form/3.6 Matthias      

    - org.knime.features.optimization.feature.group #KNIME Optimization extension http://update.knime.com/anal

ytics-platform/3.6 Matthias      

    - org.knime.features.ext.osm.feature.group #KNIME Open Street Map Integration http://update.knime.com/anal

ytics-platform/3.6 Matthias      

    - org.knime.features.network.feature.group #KNIME Network Mining http://update.knime.com/analytics-platfor

m/3.6 Matthias      

    - org.knime.features.network.distmatrix.feature.group #KNIME Network Mining distance matrix support http:/

/update.knime.com/analytics-platform/3.6 Matthias      

    - org.knime.features.neighborgram.feature.group #KNIME Neighborgram && ParUni http://update.knime.com/anal

ytics-platform/3.6 Matthias      

    - org.knime.features.distmatrix.feature.group #KNIME Distance Matrix http://update.knime.com/analytics-pla

tform/3.6 Matthias      

    - org.knime.features.ext.itemset.feature.group #KNIME Itemset Mining http://update.knime.com/analytics-pla

tform/3.6 Matthias      

    - org.knime.features.ext.lucene.feature.group #KNIME Indexing and Searching http://update.knime.com/analyt

ics-platform/3.6 Matthias      

    - org.knime.features.ext.birt.feature.group #KNIME HTML/PDF Writer http://update.knime.com/analytics-platf

orm/3.6 Matthias      

    - org.knime.features.ext.exttool.feature.group #KNIME External Tool Support http://update.knime.com/analyt

ics-platform/3.6 Matthias      

    - org.knime.features.arima.feature.group #KNIME Autoregressive integrated moving average (ARIMA) http://up

date.knime.com/analytics-platform/3.6 Matthias      

    - org.knime.features.ext.exttool.feature.group #KNIME External Tool Support http://update.knime.com/analyt

ics-platform/3.6 Matthias      

    - de.bund.bfr.knime.fsklab.feature.feature.group #FSK Lab Feature https://dl.bintray.com/silebat/fsklab_ic

pmf Lars      

      #    - de.bund.bfr.knime.fsklab.legacy.feature.feature.group #Legacy FSK-Lab nodes https://dl.bintray.co

m/silebat/fsklab_icpmf Lars      

    - de.bund.bfr.knime.pmm.base.feature.group #PMM Nodes https://dl.bintray.com/silebat/pmmlab/ Lars      

    - de.bund.bfr.knime.gis.feature.feature.group #KNIME Nodes for GIS and Graph Visualization http://dl.bintr

ay.com/silebat/generic/ Lars Warenstrominfo

    - de.bund.bfr.knime.other.aaw.feat.feature.group #ZoMoPlugin-OtherFeats_aaw https://github.com/SiLeBAT/Oth

er/raw/master/de.bund.bfr.knime.other.aaw.feat/update Alex Mibi-Portal

      ###    - de.bund.bfr.knime.internal.feature.feature.group #Rhome and editable node http://dl.bintray.com

/silebat/internal/ Alex RiskRanking

    - de.nbi.cibi.feature.feature.group #de.NBI - CIBI Extension http://update.knime.com/community-contributio

ns/3.6 M. Flor      

    - org.knime.knip.feature.feature.group #KNIME Image Processing http://update.knime.com/community-contribut

ions/3.6 M. Filter AGINFRA

#16 - Oct 02, 2018 05:48 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

#17 - Oct 04, 2018 08:59 AM - Lars Valentin
- Status changed from Feedback to In Progress

- % Done changed from 100 to 80

It's a different problem: knime wants to write inside the knime distribution somehow, when using your plugin (other workflows work fine). So I had

success when testing as root, but the execution failed when run by the dataminer user. I fixed that changing the ownership of the knime

distribution directory, even if I don't like it.

 KNIME does need the rights to read and write in its own directories to be fully functional. In my server environment /opt/ knime has the owner and the

group 'knime' and KNIME is always only used by the user 'knime'.

As I have no information how the dataminer environment looks like I can't tell you the right settings. But please make sure, that the dataminer

matches the rights of KNIME. KNIME does not need root rights!

Now, your workflow still fails, but because of a missing output file. The version executed by the dataminer does not generate the file image.png,

while the one you gave me does. Please fix the workflow, or the workflow parameters. 

 You are right, I did replace the workflow with the version I sent you, but it still fails in the dataminer. Instead of the normal long list of errors I now

receive immedate errors with (permission denied). It looks like that KNIME is not allowed to use its own files. Since no plugins are mentioned, I

assume KNIME did not even reach the state to load them.

R version 3.4.4 (2018-03-15) -- "Someone to Lean On"

Copyright (C) 2018 The R Foundation for Statistical Computing

Platform: x86_64-pc-linux-gnu (64-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.

You are welcome to redistribute it under certain conditions.

Type 'license()' or 'licence()' for distribution details.

  Natural language support but running in an English locale

R is a collaborative project with many contributors.

Type 'contributors()' for more information and

'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or

'help.start()' for an HTML browser interface to help.

Type 'q()' to quit R.

> setwd("/home/gcube/tomcat/webapps/wps/config/../ecocfg/rscr_0f1acbb9-8706-42ad-a281-22fb9fe9f2cb/FSKX-Testwo

rkflow")

> gcube_token<<-"6b7d25a8-4ef4-4c71-91e2-013fdf0f1612-843339462"

> gcube_username<<-"lars.valentin"

> gcube_context<<-"/d4science.research-infrastructures.eu/D4Research/RAKIP_portal"

> source('/home/gcube/tomcat/webapps/wps/config/../ecocfg/rscr_0f1acbb9-8706-42ad-a281-22fb9fe9f2cb/FSKX-Testw

orkflow/7ae0a487-2af5-4e25-8c21-bb01a1169298Main.R')

Machine address:

dataminer2-proto

[1] 0

Input Parameter:dummy dummy 

Command: simple_FSK_testworkflow.knwf "dummy" 

Adding rights to the files

computation started

software type: Knime-Workflow 

dataminer2-proto

Global variables:

  globalvariable                                                    globalvalue

1 gcube_username                                                  lars.valentin

2  gcube_context /d4science.research-infrastructures.eu/D4Research/RAKIP_portal

3    gcube_token                 6b7d25a8-4ef4-4c71-91e2-013fdf0f1612-843339462

4       hostname                                                              0

Knime computation

/usr/local/bin/knime -reset -consoleLog -nosplash -application org.knime.product.KNIME_BATCH_APPLICATION -work

flowFile=simple_FSK_testworkflow.knwf -destFile=workflow.zip -workflow.variable=dummy,"dummy",String 

computation finished

Logs of the computation

 [1] "CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot"                                        

                                

 [2] "!SESSION 2018-10-04 08:43:40.691 -----------------------------------------------"                       

                                

 [3] "eclipse.buildId=unknown"                                                                                
 [4] "java.version=1.8.0_152"                                                                                 

                                

 [5] "java.vendor=Oracle Corporation"                                                                         

                                

 [6] "BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US"                                          

                                

 [7] ""                                                                                                       

                                

 [8] "!ENTRY org.eclipse.osgi 4 0 2018-10-04 08:43:41.185"                                                    

                                

 [9] "!MESSAGE Error reading configuration: /opt/knime/knime_3.6.0/configuration/org.eclipse.osgi/.manager/.fi

leTableLock (Permission denied)"

[10] "!STACK 0"                                                                                               

                                

[11] "java.io.FileNotFoundException: /opt/knime/knime_3.6.0/configuration/org.eclipse.osgi/.manager/.fileTable

Lock (Permission denied)"       

[12] "\tat java.io.RandomAccessFile.open0(Native Method)"                                                     

                                

[13] "\tat java.io.RandomAccessFile.open(RandomAccessFile.java:316)"                                          

                                

[14] "\tat java.io.RandomAccessFile.<init>(RandomAccessFile.java:243)"                                        

                                

[15] "\tat org.eclipse.osgi.internal.location.Locker_JavaNio.lock(Locker_JavaNio.java:36)"                    

                                

[16] "\tat org.eclipse.osgi.storagemanager.StorageManager.lock(StorageManager.java:388)"                      

                                

[17] "\tat org.eclipse.osgi.storagemanager.StorageManager.open(StorageManager.java:701)"                      

                                

[18] "\tat org.eclipse.osgi.storage.Storage.getChildStorageManager(Storage.java:1776)"                        

                                

[19] "\tat org.eclipse.osgi.storage.Storage.getInfoInputStream(Storage.java:1793)"                            

                                

[20] "\tat org.eclipse.osgi.storage.Storage.<init>(Storage.java:132)"                                         

                                

[21] "\tat org.eclipse.osgi.storage.Storage.createStorage(Storage.java:85)"                                   

                                

[22] "\tat org.eclipse.osgi.internal.framework.EquinoxContainer.<init>(EquinoxContainer.java:68)"             

                                

[23] "\tat org.eclipse.osgi.launch.Equinox.<init>(Equinox.java:31)"                                           

                                

[24] "\tat org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:303)"                  

                                

[25] "\tat org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:239)"                      

                                

[26] "\tat sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)"                                       

                                

[27] "\tat sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)"                     

                                

[28] "\tat sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)"             

                                

[29] "\tat java.lang.reflect.Method.invoke(Method.java:498)"                                                  

                                

[30] "\tat org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:653)"                                  

                                

[31] "\tat org.eclipse.equinox.launcher.Main.basicRun(Main.java:590)"                                         

                                

[32] "\tat org.eclipse.equinox.launcher.Main.run(Main.java:1499)"                                             

                                

[33] "\tat org.eclipse.equinox.launcher.Main.main(Main.java:1472)"                                            

                                

[34] "Knime:"                                                                                                 

                                

[35] "An error has occurred. See the log file"                                                                

                                

[36] "null."                                                                                                  

                                

attr(,"status")

[1] 13

Output Parameter:workflow workflow.zip 

Output Parameter:image image.png 

file workflow exists? FALSE 

FALSE Error, the output workflow(workflow.zip) does not exist!

null

    at org.eclipse.osgi.internal.framework.EquinoxContainer.<init>(EquinoxContainer.java:70)
    at org.eclipse.osgi.launch.Equinox.<init>(Equinox.java:31)

    at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:303)

    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:239)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:653)

    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:590)

    at org.eclipse.equinox.launcher.Main.run(Main.java:1499)

    at org.eclipse.equinox.launcher.Main.main(Main.java:1472)

Caused by: java.io.FileNotFoundException: /opt/knime/knime_3.6.0/configuration/org.eclipse.osgi/.manager/.file

TableLock (Permission denied)

    at java.io.RandomAccessFile.open0(Native Method)

    at java.io.RandomAccessFile.open(RandomAccessFile.java:316)

    at java.io.RandomAccessFile.<init>(RandomAccessFile.java:243)

    at org.eclipse.osgi.internal.location.Locker_JavaNio.lock(Locker_JavaNio.java:36)

    at org.eclipse.osgi.storagemanager.StorageManager.lock(StorageManager.java:388)

    at org.eclipse.osgi.storagemanager.StorageManager.open(StorageManager.java:701)

    at org.eclipse.osgi.storage.Storage.getChildStorageManager(Storage.java:1776)

    at org.eclipse.osgi.storage.Storage.getInfoInputStream(Storage.java:1793)

    at org.eclipse.osgi.storage.Storage.<init>(Storage.java:132)

    at org.eclipse.osgi.storage.Storage.createStorage(Storage.java:85)

    at org.eclipse.osgi.internal.framework.EquinoxContainer.<init>(EquinoxContainer.java:68)

    ... 11 more

Knime: Cannot open display: 

Error in eval(ei, envir) : object 'stoptheprocess' not found

Calls: source -> withVisible -> eval -> eval

In addition: Warning message:

running command '/usr/local/bin/knime -reset -consoleLog -nosplash -application org.knime.product.KNIME_BATCH_

APPLICATION -workflowFile=simple_FSK_testworkflow.knwf -destFile=workflow.zip -workflow.variable=dummy,"dummy"

,String' had status 13 

Execution halted

null

 All the plugins you asked have been installed. I'm listing them again:

 great!

#18 - Oct 04, 2018 10:22 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

Lars Valentin wrote:

It's a different problem: knime wants to write inside the knime distribution somehow, when using your plugin (other workflows work fine). So

I had success when testing as root, but the execution failed when run by the dataminer user. I fixed that changing the ownership of the

knime distribution directory, even if I don't like it.

 KNIME does need the rights to read and write in its own directories to be fully functional. In my server environment /opt/ knime has the owner

and the group 'knime' and KNIME is always only used by the user 'knime'.

As I have no information how the dataminer environment looks like I can't tell you the right settings. But please make sure, that the dataminer

matches the rights of KNIME. KNIME does not need root rights!

 We usually install as root so that the user cannot mess with the installed software. We do not execute the algorithms as root.

Theconfiguration directory did not have the correct permission'ss yet, it's now OK. The execution now fails with

ERROR    KNIME-Worker-0 Node     Execute failed: Input file '/tmp/BatchExecutorInput31782/simple_FSK_testworkf

low/files/test.fskx' does not exist

Oct 04, 2018 10:10:38 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister

INFO: Removing the extensions for bundle 202

Knime: Cannot open display:

Error in eval(ei, envir) : object 'stoptheprocess' not found

Calls: source -> withVisible -> eval -> eval

In addition: Warning message:

running command '/usr/local/bin/knime -reset -consoleLog -nosplash -application org.knime.product.KNIME_BATCH_

APPLICATION -workflowFile=simple_FSK_testworkflow.knwf -destFile=workflow.zip -workflow.variable=dummy,"dummy"

,String' had status 4

Execution halted
 I see that the workflow file is different from the one I have. This is the one run by the dataminer algorithm:

$ ls -la

total 44

drwxr-xr-x 2 gcube gcube   123 Oct  4 10:10 .

drwxr-xr-x 3 gcube gcube    30 Oct  4 10:10 ..

-rw-r--r-- 1 gcube gcube   226 Oct  4 10:10 globalvariables.csv

-rwxrwxrwx 1 gcube gcube  4650 Oct  4 10:10 Main.R

-rwxrwxrwx 1 gcube gcube  4615 Oct  4 10:10 simple_FSK_testworkflow.knwf

-rwxrwxrwx 1 gcube gcube 14062 Oct  4 10:10 stat_algo.project

-rw-r--r-- 1 gcube gcube  5548 Oct  4 10:16 workflow.zip

 and this is the one I run after each plugin reinstallation:

 ls -l simple_FSK_testworkflow.knwf

-rw-r--r-- 1 root root 42927 Oct  4 10:17 simple_FSK_testworkflow.knwf

 The one I have executes successfully:

INFO     main BatchExecutor      ===== Executing workflow simple_FSK_testworkflow.knwf =====

WARN     main BatchExecutor      The workflow variable is potentially unused (not defined in workflow): "dummy

" (STRING)

SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".

SLF4J: Defaulting to no-operation (NOP) logger implementation

SLF4J: See http://www.slf4j.org/codes.html#StaticLoggerBinder for further details.

INFO     main BatchExecutor      Workflow execution done Finished in 8 secs (8648ms)

INFO     main BatchExecutor      Saved workflow availabe at: /home/gcube/workflow.zip

INFO     main BatchExecutor      ============= Workflow executed sucessfully ===============

#19 - Oct 04, 2018 10:55 AM - Lars Valentin

I just added the test.fskx file for testing the testworkflow and I get no permission error messages anymore and the Dataminer workflows for FSK run

through without complaining about missing FSK nodes. 

Looks like we have a working KNIME with FSKlab now! Thank you!

#20 - Oct 04, 2018 11:56 AM - Pasquale Pagano

- Status changed from Feedback to Closed

Ok, it seems that we have completed this task. Going to close the ticket. 

Files

RLOG7637da67-4773-445d-a900-1fcbd2d618f6.txt 215 KB Oct 02, 2018 Lars Valentin

image.png 8.5 KB Oct 02, 2018 Andrea Dell'Amico

workflow.zip 45.8 KB Oct 02, 2018 Andrea Dell'Amico
